
.Trinity * {
	box-sizing: border-box;
	line-height: 1.4;
}
.Trinity {
	color: #0a2542;
	border-color: #0a2542;
	background-color: #ffffff;
	margin: 0;
	padding: 0;
	font-family: -apple-system, system-ui, BlinkMacSystemFont, 'Segoe UI', Roboto, Ubuntu, sans-serif;
	font-size: 13px;
	font-weight: normal;
	text-align: initial;
}
.Trinity.Backdrop {
	position: fixed;
	z-index: 109;
	left: 0;
	top: 0;
	width: 100vw;
	height: 100vh;
	overflow: auto;
	background-color: rgba(0, 0, 0, 0.65);
	display: flex;
}
.Trinity.Backdrop > DIV {
	background-color: #ffffff;
	margin: auto;
	width: 600px;
	max-width: 90vw;
	max-height: 90vh;
	box-shadow: 0 2px 4px rgba(0, 0, 0, 0.40);
	border-radius: 3px;
	overflow-y: scroll;
	border: solid 1px #C1C8CF;
}
.Trinity .Page {
	padding: 0 3ch;
}
.Trinity A, .Trinity .Anchor {
	text-decoration: none;
	color: #7700ff;
}
.Trinity A:hover, .Trinity .Anchor:hover {
	text-decoration: underline;
	color: #5F00E7;
	cursor: pointer;
}
.Trinity A:hover IMG, .Trinity .Anchor:hover IMG {
	filter: brightness(87.5%);
}
.Trinity SPAN.Tooltip[title] {
	border-bottom: 1px dotted;
	cursor: help;
}
.Trinity H2 {
	font-size: 1.5em;
	margin: 0.25em 0 0.75em 0;
	font-weight: inherit;
	text-transform: capitalize;
	font-weight: 500;
}
.Trinity H3 {
	font-size: 1.3em;
	margin: 0.25em 0 0.5em 0;
	font-weight: inherit;
	text-transform: capitalize;
	font-weight: 500;
}
.Trinity H4 {
	margin: 0.25em 0 0.5em 0;
	font-size: 1.15em;
	font-weight: inherit;
	text-transform: capitalize;
	font-weight: 500;
}
.Trinity H5 {
	margin: 0.25em 0 0.5em 0;
	font-size: 1em;
	font-weight: inherit;
	text-transform: capitalize;
	font-weight: 500;
}
.Trinity H6 {
	font-weight: 500;
	font-size: 1em;
	display: inline;
}
.Trinity IMG, .Trinity .SVG {
	max-width: 100%;
}
.Trinity .Disabled {
	color: #8492A0;
	cursor: auto;
}
.Trinity P {
	margin-block-start: 0;
	margin-block-end: 0.5em;
}
.Trinity DIV[align=center] {
	text-align: center;
}
.Trinity DIV[align=right] {
	text-align: right;
}
.Trinity DIV[align=left] {
	text-align: left;
}
.Trinity I.material-icons-outlined {
	line-height: 1.1em;
    font-size: 1.1em;
	text-decoration: none;
	vertical-align: text-bottom;
}
.Trinity .SVGIcon {
	line-height: 1.1em;
    font-size: 1.1em;
	text-decoration: none;
	vertical-align: text-bottom;
}
.Trinity .SVGIcon > .SVG {
	height: 1em;
}
.Trinity .TH, .Trinity .TD {
	word-break: break-word;
}
.Trinity .Avatar {
	display: inline-flex;
	align-items: center;
}
.Trinity .Avatar > DIV {
	color: #ffffff;
	background-color: #0a2542;
	background-size: cover;
	background-position: center center;
	border-radius: 50% 50%;
	border: solid 0.075em #8492A0;
	width: 2em;
	min-width: 2em;
	height: 2em;
	display: inline-flex;
	align-items: center;
}
.Trinity .Avatar > DIV > DIV {
	width: 100%;
	text-align: center;
	white-space: nowrap;
	text-transform: uppercase;
}
.Trinity .Avatar > SPAN {
	margin-left: 0.5ch;
}


.Trinity .AppBar {
	border-bottom: solid 1px #C1C8CF;
	margin-bottom: 1em;
	position: sticky;
	top: 0px;
	z-index: 108;
	background-color: #ffffff;
	display: flex;
	height: 60px;
}
.Trinity .AppBar .ToolBar {
	flex: 1;
}
.Trinity .AppBar .ToolBar .Tab {
	margin-bottom: -1em;
}
.Trinity .AppBar .ToolBar .Tab > .TabLabels {
	border-bottom: none;
}
.Trinity .AppBar .ToolBar .Tab > .TabLabels > .TabLabel > U {
	margin-top: 1em;
}
.Trinity H1 {
	font-size: 1.5em;
	margin: 0;
	padding: 0;
	font-weight: 500;
	text-transform: capitalize;
	margin-right: 2ch;
}
.Trinity H1 > A {
	color: #0a2542;
}
.Trinity H1 > A:hover {
	color: #3A5572;
	text-decoration: none;
}
.Trinity H1 > .HelpBubble {
	font-size: 0.8em;
	padding: 0.1em 0;
}


.Trinity .HelpBubble {
	display: inline-block;
}
.Trinity .HelpBubble > I {
	cursor: pointer;
}
.Trinity .HelpBubble > I, .Trinity .HelpBubble > A {
	padding: 0 0.25ch;
	color: #8492A0;
}
.Trinity .HelpBubble > A:hover {
	color: #6C7A88;
}
.Trinity .HelpBubble > A:hover:active {
	color: #606E7C;
}
.Trinity .HelpBubble + DIV {
	font-family: -apple-system, system-ui, BlinkMacSystemFont, 'Segoe UI', Roboto, Ubuntu, sans-serif;
	font-size: 13px;
	font-weight: normal;
	text-transform: none;
	text-decoration: none;
	text-align: initial;
	letter-spacing: 0;
	color: #0a2542;
	background-color: #ffffff;
	display: none;
	position: absolute;
	width: 48ch;
	max-width: 90vw;
	max-height: 10em;
	overflow-y: scroll;
	padding: 0.5em 1ch 0.75em 1ch;
	border-radius: 3px;
	box-shadow: 0 2px 4px rgba(0, 0, 0, 0.40);
	z-index: 111;
	border: solid 1px #C1C8CF;
}
.Trinity .HelpBubble:hover + DIV, .Trinity .HelpBubble + DIV:hover {
	display: block;
}


.Trinity FORM {
	margin: 0;
	display: inline;
}
.Trinity .Form {
	max-width: 600px;
}
.Trinity .Form.FullWidth {
	max-width: unset;
}
.Trinity .FormField {
	margin-bottom: 1em;
}
.Trinity .FieldLabel {
	color: #8492A0;
	text-transform: uppercase;
	font-size: 90%;
	font-weight: 500;
	letter-spacing: 0.6px;
	margin-bottom: 0.25em;
}
.Trinity .FieldLabel A {
	color: #8492A0;
}
.Trinity .FieldLabel A:hover {
	color: #6C7A88;
}
.Trinity .Form .FormButtons {
	padding-top: 1em;
    /* border-top: solid 1px #C1C8CF; */
    position: sticky;
    bottom: 0;
	background: #ffffff;
	background: linear-gradient(0deg, #ffffff 0%, #ffffff 80%, rgba(255,255,255,0.25) 100%);
}


.Trinity INPUT, .Trinity SELECT, .Trinity TEXTAREA {
	font-family: inherit;
	font-size: inherit;
	background-color: #ffffff;
	color: #0a2542;
	border: solid 1px #475B71;
	border-radius: 3px;
	outline: none;
}
.Trinity INPUT, .Trinity SELECT {
	height: 2.5em;
	padding: 0 0.5ch;
}
.Trinity .AlignInput {
	height: 2.5em;
	display: inline-flex;
	align-items: center;
}
.Trinity INPUT, .Trinity TEXTAREA {
	width: 100%;
}
.Trinity TEXTAREA {
	resize: vertical;
	padding: 0.25em 0.5ch;
	min-height: 2.5em;
}
.Trinity INPUT[disabled], .Trinity TEXTAREA[disabled], .Trinity SELECT[disabled] {
	background-color: #F2F4F5;
}
.Trinity INPUT:focus, .Trinity SELECT:focus, .Trinity TEXTAREA:focus {
	border-color: #01b3b3;
	box-shadow: #40C6C6 0 0 6px;
}
.Trinity INPUT.Invalid:focus, .Trinity SELECT.Invalid:focus, .Trinity TEXTAREA.Invalid:focus {
	border-color: #fe0a86;
	box-shadow: #FE47A4 0 0 6px;
}
.Trinity INPUT[type=radio], .Trinity INPUT[type=checkbox], .Trinity INPUT[type=time], .Trinity INPUT[type=date] {
	width: auto;
}
.Trinity INPUT[type=radio], .Trinity INPUT[type=checkbox] {
	margin: 0;
	padding: 0;
	-webkit-appearance: none;
    -moz-appearance: none;
	appearance: none;
	height: 1.1em;
	width: 1.1em;
	vertical-align: text-top;
}
.Trinity INPUT[type=radio] {
	border-radius: 1em;
}
.Trinity INPUT[type=radio]:checked, .Trinity INPUT[type=checkbox]:checked {
	background-color: #7700ff;
	border-color: #7700ff;
}
.Trinity INPUT[type=radio][disabled]:checked, .Trinity INPUT[type=checkbox][disabled]:checked {
	background-color: #DDBFFF;
}
.Trinity .InvalidMessage {
	color: #fe0a86;
	font-size: 0.8em;
}
.Trinity .Invalid {
	border: 1px solid #fe0a86 !important;
}
.Trinity INPUT::placeholder, .Trinity TEXTAREA::placeholder {
	font-style: italic;
	color: #8492A0;
}
.Trinity INPUT[type=Radio] + LABEL, .Trinity INPUT[type=Checkbox] + LABEL {
	margin-left: 0.5ch;
	cursor: default;
}
.Trinity LABEL + INPUT[type=radio], .Trinity LABEL + INPUT[type=checkbox] {
	margin-left: 1ch;
}


.Trinity .RichDropdown {
	border: solid 1px #475B71;
	border-radius: 3px;
	outline: none;
	padding: 0.5em 0.5ch;
	width: 100%;
	background: url("data:image/svg+xml;utf8,<svg viewBox='0 0 140 140' xmlns='http://www.w3.org/2000/svg'><g><path d='m121.3,34.6c-1.6-1.6-4.2-1.6-5.8,0l-51,51.1-51.1-51.1c-1.6-1.6-4.2-1.6-5.8,0-1.6,1.6-1.6,4.2 0,5.8l53.9,53.9c0.8,0.8 1.8,1.2 2.9,1.2 1,0 2.1-0.4 2.9-1.2l53.9-53.9c1.7-1.6 1.7-4.2 0.1-5.8z' fill='currentColor'/></g></svg>") no-repeat;
	background-position: right 5px top 50%;
	background-size: 1.4em;
}
.Trinity .RichDropdown[disabled] {
	background-color: #F2F4F5;
}
.Trinity .RichDropdown.Invalid {
	border-color: #fe0a86;
}
.Trinity .RichDropdown > UL {
	background-color: #ffffff;
	box-shadow: 0 2px 4px rgba(0, 0, 0, 0.40);
	border-radius: 3px;
	padding: 0.25em 0 0.25em 0;
	z-index: 110;
	position: absolute;
	display: none;
	width: 100%;
	margin: 0;
	overflow-y: scroll;
	border: solid 1px #C1C8CF;
}
.Trinity .RichDropdown > UL > LI {
	padding: 0.5em 0.5ch;
	width: 100%;
	display: block;
	cursor: default;
}
.Trinity .RichDropdown > UL > LI:not(:first-child) {
	border-top: solid 1px #C1C8CF;
}
.Trinity .RichDropdown > UL > LI:hover {
	background-color: #E7E7E7;
}
.Trinity .RichDropdown > UL > LI:hover:active {
	background-color: #DBDBDB;
}


.Trinity .FileUploader .Preview {
	margin-top: 0.5em;
	background-color: #C1C8CF;
	padding: 0.5em 0.5ch;
	display: flex;
	align-items: center;
}
.Trinity .FileUploader .Preview > .FileName {
	margin-left: 0.5ch;
	font-weight: 500;
}
.Trinity .FileUploader .Preview > :last-child {
	cursor: pointer;
	margin-left: auto;
}
.Trinity .FileUploader .Preview > :last-child:hover {
	color: #3A5572;
}
.Trinity .FileUploader .Preview > :last-child:hover:active {
	color: #526D8A;
}
.Trinity .FileUploader .DropTarget {
	height: 5em;
	display: flex;
	align-items: center;
	justify-content: center;
	background-color: #F2F4F5;
	border: solid 1px #F2F4F5;
}
.Trinity .FileUploader .DropTarget.Hover {
	background-color: #DADEE2;
	border-color: #DADEE2;
}
.Trinity .FileUploader .DropTarget.Hover > * {
	pointer-events: none;
}
.Trinity .FileUploader .DropTarget.Invalid {
	border-color: #fe0a86;
}
.Trinity .FileUploader .DropTarget.Filled {
	color: #8492A0;
}
.Trinity .FileUploader .DropTarget.Filled > .Message {
	display: none;
}
.Trinity .FileUploader .DropTarget > .MessageFilled {
	display: none;
}
.Trinity .FileUploader .DropTarget.Filled > .MessageFilled {
	display: inline;
}
.Trinity .FileUploader .Icon {
	font-size: 2em;
	margin-right: 1ch;
}
.Trinity .FileUploader INPUT[type=file] {
	display: none;
}
.Trinity .FileUploader[disabled] {
	color: #8492A0;
}


.Trinity .ImageUploader > IMG {
	height: 128px;
	border: solid 1px #475B71;
	margin-bottom: 0.25em;
	border-radius: 3px;
	display: block;
}
.Trinity .ImageUploader > INPUT[type=file] {
	background-color: inherit;
	border: none;
	padding: 0;
	display: none;
}


.Trinity BUTTON {
	font-family: inherit;
	font-size: inherit;
	font-weight: 500;
	text-transform: uppercase;
	border-radius: 3px;
	height: 2.5em;
	padding: 0 1ch;
	cursor: pointer;
	/* margin-right: 0.75ch; */
	border-style: solid;
	border-width: 1px;
	user-select: none;
	outline: none;
	text-align: center;
	margin-bottom: 1em;
	display: inline-flex;
	align-items: center;
	justify-content: center;
}
.Trinity BUTTON .SVG {
	height: 1em;
	vertical-align: middle;
}
/* .Trinity BUTTON:last-child {
	margin-right: 0;
} */
.Trinity BUTTON.Contained {
	color: #ffffff;
	background-color: #7700ff;
	border-color: #7700ff;
}
.Trinity BUTTON.Contained:hover:not([disabled]) {
	background-color: #5F00E7;
	border-color: #5F00E7;
}
.Trinity BUTTON.Contained:hover:active:not([disabled]) {
	background-color: #5300DB;
	border-color: #5300DB;
}
.Trinity BUTTON.Contained[disabled] {
	cursor: default;
	background-color: #8492A0;
	border-color: #8492A0;
}
.Trinity BUTTON.Outlined {
	color: #0a2542;
	background-color: #ffffff;
	border-color: #0a2542;
}
.Trinity BUTTON.Outlined:hover:not([disabled]) {
	background-color: #E7E7E7;
}
.Trinity BUTTON.Outlined:hover:active:not([disabled]) {
	background-color: #DBDBDB;
}
.Trinity BUTTON.Outlined[disabled] {
	cursor: default;
	color: #8492A0;
	border-color: #8492A0;
}
.Trinity BUTTON.Text {
	border-color: #ffffff;
	color: #7700ff;
	background-color: #ffffff;
}
.Trinity BUTTON.Text:hover:not([disabled]) {
	border-color: #E7E7E7;
	background-color: #E7E7E7;
}
.Trinity BUTTON.Text:hover:active:not([disabled]) {
	border-color: #DBDBDB;
	background-color: #DBDBDB;
}
.Trinity BUTTON.Text[disabled] {
	cursor: default;
	color: #8492A0;
}
.Trinity BUTTON > .Spinner {
	display: none;
}
.Trinity BUTTON.Spin > .Spinner {
	display: flex;
}
.Trinity BUTTON.Spin > :not(.Spinner) {
	display: none;
}


.Trinity .ToolBar {
	display: flex;
	flex-wrap: wrap;
	align-items: flex-end;
	margin-bottom: 0.5em;
}
.Trinity .ToolBar > DIV:first-child {
	display: flex;
	flex-wrap: wrap;
	align-items: flex-end;
}
.Trinity .ToolBar > DIV:nth-child(2) {
	display: flex;
	flex-wrap: wrap;
	margin-left: auto;
	align-items: flex-end;
}
.Trinity .ToolBar > DIV:nth-child(2) > DIV {
	margin-left: 1ch;
	margin-bottom: 0.5em;
}
.Trinity .ToolBar > DIV:first-child > DIV {
	margin-right: 1ch;
	margin-bottom: 0.5em;
}
.Trinity .ToolBar > DIV > DIV > * {
	margin-bottom: 0;
}


.Trinity .PipeSpacer	{
	border-left: 1px solid #8492A0;
	margin: 2px 0.5em 2px 0.5em;
}
.Trinity .Tag {
	color: #ffffff;
	background-color: #0a2542;
	font-size: 0.8em;
	border-radius: 3px;
	padding: 1px 4px 1px 4px;
	margin-right: 0.25em;
	white-space: nowrap;
	text-transform: uppercase;
}
.Trinity .Tag.Accent1 {
	background-color: #7700ff;
}
.Trinity .Tag.Accent2 {
	background-color: #01b3b3;
}
.Trinity .Tag.OK {
	background-color: #00d139;
}
.Trinity .Tag.Attention {
	background-color: #fe0a86;
}
.Trinity .FilterChip {
	border: solid 1px #0a2542;
	background-color: #ffffff;
	color: #0a2542;
	border-radius: 2ch;
	padding: 0.5em 1ch;
	white-space: nowrap;
	display: inline-block;
	white-space: nowrap;
	cursor: pointer;
	user-select: none;
}
.Trinity .FilterChip + .FilterChip {
	margin-left: 0.5ch;
}
.Trinity .FilterChip > I {
	display: none;
}
.Trinity .FilterChip:hover {
	background-color: #E7E7E7;
	color: #0a2542;
	text-decoration: none;
}
.Trinity .FilterChip:hover:active {
	background-color: #DBDBDB;
}
.Trinity .FilterChip.Checked:hover {
	border: solid 1px #5F00E7;
	background-color: #5F00E7;
	color: #ffffff;
	text-decoration: none;
}
.Trinity .FilterChip.Checked:hover:active {
	border: solid 1px #5300DB;
	background-color: #5300DB;
}
.Trinity .FilterChip.Checked {
	padding-left: 0.5ch;
	border: solid 1px #7700ff;
	background-color: #7700ff;
	color: #ffffff;
}
.Trinity .FilterChip.Checked > I {
	display: inline;
}
.Trinity .MessageBar {
	padding: 0.5em 1ch;
	margin-bottom: 1em;
}
.Trinity .MessageBar.OK {
	border-left: 3px solid #00d139;
	background-color: #BFF3CD;
	background-image: linear-gradient(90deg, #BFF3CD 0%, #BFF3CD 75%, #ffffff 100%);
}
.Trinity .MessageBar.Attention {
	border-left: 3px solid #fe0a86;
	background-color: #FEC1E0;
	background-image: linear-gradient(90deg, #FEC1E0 0%, #FEC1E0 75%, #ffffff 100%);
}
.Trinity .Gallery {
	display: flex;
	flex-wrap: wrap;
	margin-top: -0.5em;
	margin-bottom: 0.5em;
}
.Trinity .Gallery > * {
	margin: 0.5em 0.5ch 0 0.5ch;
}
.Trinity .TextColor.Default {
	color: #0a2542;
}
.Trinity .TextColor.Deemphasized {
	color: #475B71;
}
.Trinity .TextColor.Attention {
	color: #fe0a86;
}
.Trinity .TextColor.OK {
	color: #00d139;
}
.Trinity .TextColor.Accent1 {
	color: #7700ff;
}
.Trinity .TextColor.Accent2 {
	color: #01b3b3
}
.Trinity .HorizontalPercentBar {
	padding: 2px 0 2px 1px;
	display: inline-block;
	color: #ffffff;
	font-size: 80%;
	margin-top: 0.2em;
	white-space: nowrap;
	overflow-x: visible;
}
.Trinity .HorizontalPercentBar:not(.Off) {
	position: relative;
}
.Trinity .HorizontalPercentBar.Text {
	background-color: #0a2542;
	text-shadow: 0 0 2px #0a2542;
}
.Trinity .HorizontalPercentBar.Accent1 {
	background-color: #7700ff;
	text-shadow: 0 0 2px #7700ff;
}
.Trinity .HorizontalPercentBar.Accent2 {
	background-color: #01b3b3;
	text-shadow: 0 0 2px #01b3b3;
}
.Trinity .HorizontalPercentBar.OK {
	background-color: #00d139;
	text-shadow: 0 0 2px #00d139;
}
.Trinity .HorizontalPercentBar.Attention {
	background-color: #fe0a86;
	text-shadow: 0 0 2px #fe0a86;
}
.Trinity .HorizontalPercentBar.Text.Off {
	background-color: #E6E9EC;
}
.Trinity .HorizontalPercentBar.Accent1.Off {
	background-color: #F1E5FF;
}
.Trinity .HorizontalPercentBar.Accent2.Off {
	background-color: #E5F7F7;
}
.Trinity .HorizontalPercentBar.OK.Off {
	background-color: #E5FAEB;
}
.Trinity .HorizontalPercentBar.Attention.Off {
	background-color: #FEE6F2;
}

.Trinity .Splitter {
	display: flex;
}
.Trinity .Splitter > DIV:not(:first-child) {
	margin-left: 1ch;
}
@media only screen and (max-width: 600px) {
	.Trinity .Splitter {
		flex-wrap: wrap;
	}
	.Trinity .Splitter > DIV {
		flex: 1 1 100% !important;
		width: 100%;
	}
	.Trinity .Splitter > DIV:not(:first-child) {
		margin-left: 0;
	}
}


@keyframes SpinnerShrink {
	from {
		height: 100%;
		width: 100%;
	}
	to {
		height: 0;
		width: 0;
	}
}
.Trinity .Spinner {
	align-items: center;
	display: inline-flex;
	justify-content: space-between;
	width: 38px;
}
.Trinity .Spinner .Dot {
	align-items: center;
	display: flex;
	height: 10px;
	justify-content: center;
	width: 10px;
}
.Trinity .Spinner .Dot > div {
	background-color: currentColor;
	border-radius: 50%;
	height: 100%;
	width: 100%;
	animation-name: SpinnerShrink;
	animation-duration: 510ms;
	animation-timing-function: ease-in;
	animation-iteration-count: infinite;
	animation-direction: alternate;
}
.Trinity .Spinner .Dot:nth-child(2) > div {
	animation-delay: 170ms;
}
.Trinity .Spinner .Dot:last-child > div {
	animation-delay: 340ms;
}


.Trinity .Menu {
	display: inline-block;
	padding-left: 0.5ch;
	padding-right: 0.5ch;
}
.Trinity .Menu + DIV {
	display: none;
	text-align: initial;
	position: absolute;
	z-index: 101;
	background-color: #ffffff;
	box-shadow: 0 2px 4px rgba(0, 0, 0, 0.40);
	border-radius: 3px;
	padding: 0.25em 0 0.25em 0;
	cursor: default;
	border: solid 1px #C1C8CF;
}
.Trinity .Menu:hover + DIV, .Trinity .Menu + DIV:hover {
	display: table;
}
.Trinity .Menu + DIV > * {
	padding: 0.5em 3ch 0.5em 1ch;
	display: block;
	white-space: nowrap;
}
.Trinity .Menu + DIV > A, .Trinity .Menu + DIV > .Anchor {
	color: inherit;
}
.Trinity .Menu + DIV > A:hover, .Trinity .Menu + DIV > .Anchor:hover {
	background-color: #F2F4F5;
	color: inherit;
	text-decoration: none;
}


.Trinity .Matrix {
	margin-bottom: 1em;
}
.Trinity .Matrix > .TR {
	display: flex;
	flex-wrap: nowrap;
	align-items: center;
	border-bottom: solid 1px #F2F4F5;
}
.Trinity .Matrix > .TR > .TH {
	font-weight: 500;
	text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}
.Trinity .Matrix > .TR:not(:first-child) > .TH {
	display: none;
}
.Trinity .Matrix > .TR > .TH,
.Trinity .Matrix > .TR > .TD {
	padding: 0.5em 0.75ch;
}
.Trinity .Matrix > .TR.MinRowHt1 {
	min-height: calc(1em + 1em * 1.4);
}
.Trinity .Matrix > .TR.MinRowHt2 {
	min-height: calc(1em + 2em * 1.4);
}
.Trinity .Matrix > .TR.MinRowHt3 {
	min-height: calc(1em + 3em * 1.4);
}
.Trinity .Matrix > .TR.MinRowHt4 {
	min-height: calc(1em + 4em * 1.4);
}
.Trinity .Matrix > .TR.MinRowHt5 {
	min-height: calc(1em + 5em * 1.4);
}
@media only screen and (max-width: 600px) {
	.Trinity .Matrix > .TR:first-child {
		display: none;
	}
	.Trinity .Matrix > .TR > .TH,
	.Trinity .Matrix > .TR > .TD {
		padding: 0.25em 1ch;
	}
	.Trinity .Matrix > .TR:not(:first-child) > .TH {
		display: unset;
		padding-left: 0;
		flex: 1 1 33%;
		width:33%;
	}
	.Trinity .Matrix > .TR > .TD {
		padding-right: 0;
		flex: 2 2 67% !important;
		width:67%;
	}
	.Trinity .Matrix > .TR {
		flex-wrap: wrap;
		align-items: unset;
	}
}
.Trinity .Matrix > .TR:first-child {
	background-color: #F2F4F5;
	border-bottom: solid 1px #C1C8CF;
	border-top: solid 1px #C1C8CF;
}
.Trinity .Matrix > .TR[href]:hover {
	background-color: #F2F4F5;
	cursor: pointer;
}
.Trinity .NumericCell {
	text-align: right;
	overflow: inherit;
    text-overflow: inherit;
}
@media only screen and (max-width: 600px) {
	.Trinity .NumericCell {
		text-align: inherit;
	}
}
.Trinity .Paginator {
	text-align: center;
	margin-bottom: 1em;
}
.Trinity .Paginator > * {
	padding: 0.25em 1ch;
	display: inline-block;
	border-radius: 3px;
	margin-right: 0.5ch;
	font-weight: 500;
	color: #0a2542;
}
.Trinity .Paginator > .Disabled {
	color: #ffffff;
	background-color: #0a2542;
}
.Trinity .Paginator > .Ellipsis {
	color: inherit;
	background-color: inherit;
	padding: 0;
	vertical-align: bottom;
	font-weight: 400;
}
.Trinity .Paginator > A:hover {
	color: #3A5572;
	text-decoration: none;
}
.Trinity A.Sorter {
	color: #0a2542;
}
.Trinity A.Sorter:hover {
	color: #3A5572;
	text-decoration: none;
}


.Trinity .Tab .TabLabels {
	border-bottom: solid 1px #C1C8CF;
}
.Trinity .Tab .TabLabel {
	display: inline-block;
	text-transform: uppercase;
	font-weight: 500;
	padding: 0.25em 2ch 0 2ch;
	color: #8492A0;
}
.Trinity .Tab A.TabLabel {
	text-decoration: none;
}
.Trinity .Tab .TabLabel.Selected {
	font-weight: 500;
	color: #0a2542;
}
.Trinity .Tab .TabLabel > U {
	display: block;
	margin: auto;
	margin-top: 0.25em;
	max-width: 6ch;
	height: 3px;
	background-color: transparent;
}
.Trinity .Tab .TabLabel.Selected > U {
	background-color: #7700ff;
}
.Trinity .Tab .TabLabel[disabled].Selected > U {
	background-color: #8492A0;
}
.Trinity .Tab .TabLabel:not(.Selected):not([disabled]):hover {
	cursor: pointer;
	color: #6C7A88;
	background-color: #E7E7E7;
}
.Trinity .Tab .TabLabel:not(.Selected):not([disabled]):hover:active {
	color: #606E7C;
	background-color: #DBDBDB;
}
.Trinity .Tab .TabBody {
	margin-top: 0.5em;
	display: none;
	overflow: auto;
}
.Trinity .Tab .TabBody.Selected {
	display: block;
}


.Trinity .Alert {
	/* margin-top: 20vh !important; */
	width: 250px !important;
	padding: 1em 1.5ch 0 1.5ch;
}
.Trinity .Alert > .AlertSplit {
	display: flex;
	flex-wrap: nowrap;
	justify-content: flex-start;
	word-break: break-word;
}
.Trinity .Alert > .AlertSplit > :first-child {
	font-size: 2em;
	margin-top: 0.05em;
	flex: .15;
}
.Trinity .Alert > .AlertSplit > :last-child {
	margin-left: 1ch;
	flex: 1;
}
.Trinity .Alert > .AlertButtons {
	text-align: right;
	padding-top: 1em;
}
.Trinity .Alert > .AlertButtons > BUTTON:first-child {
	color: #8492A0;
}
.Trinity .Alert > .AlertButtons > BUTTON:last-child {
	margin-left: 0.75ch;
	color: #fe0a86;
}


.Trinity .Growl {
	display: block;
	position: fixed;
	bottom: 2em;
	left: 3ch;
	z-index: 1000002;
	width: 48ch;
	min-height: 4em;
	max-width: 90vw;
	border-radius: 0 0 3px 3px;
	box-shadow: 0 2px 4px rgba(0, 0, 0, 0.40);
	background-color: #ffffff;
	border-top: solid 3px #0a2542;
	padding: 0.5em 1ch;
	word-break: break-word;
	border: solid 1px #C1C8CF;
}
@media only screen and (max-width: 600px) {
	.Trinity .Growl {
		width: 90vw;
	}
}
.Trinity .Growl.OK {
	background-color: #BFF3CD;
	border-top: solid 3px #00d139;
	border-color: #02A63B;
}
.Trinity .Growl.Attention {
	background-color: #FEC1E0;
	border-top: solid 3px #fe0a86;
	border-color: #C11075;
}
.Trinity .Growl.Accent1 {
	background-color: #DDBFFF;
	border-top: solid 3px #7700ff;
	border-color: #5B09CF;
}
.Trinity .Growl.Accent2 {
	background-color: #BFECEC;
	border-top: solid 3px #01b3b3;
	border-color: #038F96;
}
.Trinity .Growl.Top {
	top: 1em;
	bottom: unset;
}
.Trinity .Growl.Right {
	right: 2ch;
	left: unset;
}
@media only screen and (max-width: 600px) {
	.Trinity .MobileHide {
		display: none;
	}
}
@media only screen and (min-width: 601px) {
	.Trinity .MobileOnly {
		display: none;
	}
}